Jump to content

Upgrade Problem - Jslibrary file not working?


airplane-dude
 Share

Recommended Posts

Somehow I keep getting javascript errors on some, but not all pages of my store. Namely in the cart process and the admin section. I assumed since the error said something was wrong with the jslibrary file, that I should make sure it was right.

ALL files were changed properly, but this still exists?

Message: 'fileLoadingImage' is undefined

Line: 3

Char: 1

Code: 0

URI: https://www.-----.com/js/jslibrary.js

Link to comment
Share on other sites

Somehow I keep getting javascript errors on some, but not all pages of my store. Namely in the cart process and the admin section. I assumed since the error said something was wrong with the jslibrary file, that I should make sure it was right.

ALL files were changed properly, but this still exists?

Message: 'fileLoadingImage' is undefined

Line: 3

Char: 1

Code: 0

URI: https://www.-----.com/js/jslibrary.js

I am getting exactly the same error message throughout the admin section of my new site. It is still in development and it is running 4.34.

I also get it on some pages of the store, namely the checkout.

Also. In my admin I am only getting part of the Add Products Option screen.

Link to comment
Share on other sites

  • 2 weeks later...

check your files that you upgraded, ive added so many lines to the files i donwloaded for 4.3.4, i do wonder how accurate the files in 4.3.4 download are.. they dont seem to match the bug 4.3.3. to 5.3.4 list, so you will need to check everything thats relevant thats referred to here, it looks like there is a lot more but most of it is language files you wont need. Its a good place to start if you have just upgraded to 4.3.4 id say..

http://forums.cubecart.com/index.php?act=a...ost&id=1552

this will fix the jslibrary and lightbox not working and call the right images, that seem to have moved about.. you need to make sure the right java script is in your global index.tpl and that you skin also knows to use it if you want it..

good luck, i must say that there seems to be any decent developers input on here now compared to v3, im sure it will get better though, it was one of the reasons i have not upgraded from v3 for such a long time... v4 has got its good bits, but lets have some decent contributions from everyone.. its seems everyone on here is just going around in circles with the same problem.

there ls little point in posting, it worked for me..

c ya

mr d

Link to comment
Share on other sites

Robsta

can you make all important upgrade notes a sticky in this forum? that way any changes they are easily found? they should be the first point of call for everyone, to see that they have what they think they have..

cheers

mr d

Link to comment
Share on other sites

Robsta

can you make all important upgrade notes a sticky in this forum? that way any changes they are easily found? they should be the first point of call for everyone, to see that they have what they think they have..

cheers

mr d

The upgrade notes are posted with each new release announcement already.
Link to comment
Share on other sites

  • 4 months later...
Guest MrTiny

I started getting this error after I deleted the lightbox css/javascript as it was not needed. Fixed by going to the file/lines indicated and removing the following:

var LightboxOptions = {

fileLoadingImage: fileLoadingImage,

fileBottomNavCloseImage: fileBottomNavCloseImage

};

The error has gone now and all works ok. Of course if you are using lightbox then don't do this!

Link to comment
Share on other sites

I started getting this error after I deleted the lightbox css/javascript as it was not needed. Fixed by going to the file/lines indicated and removing the following:

var LightboxOptions = {

fileLoadingImage: fileLoadingImage,

fileBottomNavCloseImage: fileBottomNavCloseImage

};

The error has gone now and all works ok. Of course if you are using lightbox then don't do this!

If you have to do that, your store has definitely not been upgraded to the version of CubeCart you are using. You will have other problems.
Link to comment
Share on other sites

Guest MrTiny

If you have to do that, your store has definitely not been upgraded to the version of CubeCart you are using. You will have other problems.

It's a fresh install of CubeCart? The problem only appeared after I removed the lightbox javascript to speed up loading as it isn't used. No other problems to report.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...